curl -X POST https://api.infinipost.co/v1/comments/cmt_xyz789/replies \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "acc_456",
"text": "Thanks for the support!"
}'
const response = await fetch('https://api.infinipost.co/v1/comments/cmt_xyz789/replies', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
accountId: 'acc_456',
text: 'Thanks for the support!'
})
});
const data = await response.json();
{
"id": "rpl_def456",
"commentId": "cmt_xyz789",
"accountId": "acc_456",
"text": "Thanks for the support!",
"createdAt": "2024-04-21T20:30:00Z"
}
Engagement
Reply to Comment
Reply to an existing comment
POST
/
v1
/
comments
/
{id}
/
replies
curl -X POST https://api.infinipost.co/v1/comments/cmt_xyz789/replies \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "acc_456",
"text": "Thanks for the support!"
}'
const response = await fetch('https://api.infinipost.co/v1/comments/cmt_xyz789/replies', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
accountId: 'acc_456',
text: 'Thanks for the support!'
})
});
const data = await response.json();
{
"id": "rpl_def456",
"commentId": "cmt_xyz789",
"accountId": "acc_456",
"text": "Thanks for the support!",
"createdAt": "2024-04-21T20:30:00Z"
}
Path Parameters
string
required
The comment ID to reply to.
Request Body
string
required
The account ID to reply from.
string
required
The reply text.
Response
string
Unique reply identifier.
string
The parent comment.
string
Account that created the reply.
string
Reply text.
string
ISO 8601 timestamp.
curl -X POST https://api.infinipost.co/v1/comments/cmt_xyz789/replies \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "acc_456",
"text": "Thanks for the support!"
}'
const response = await fetch('https://api.infinipost.co/v1/comments/cmt_xyz789/replies', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
accountId: 'acc_456',
text: 'Thanks for the support!'
})
});
const data = await response.json();
{
"id": "rpl_def456",
"commentId": "cmt_xyz789",
"accountId": "acc_456",
"text": "Thanks for the support!",
"createdAt": "2024-04-21T20:30:00Z"
}
⌘I